%{!?dist: %define dist .slc5}
Name: aims2
Version: 2.5.2
Release: 1%{?dist}
Summary: AIMS2 - Automated Installation Management Server (v.2)
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%description
AIMS2 : Automated Installation Management Server (v.2)
Documentation at: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2

%package -n aims2-server
Summary: AIMS2 server of Automated Installation Management Server (v.2)
Group: System Environment/Daemons

Requires: perl >= 5.8.5
Requires: perl-SOAP-Lite >= 0.65
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-Net-DNS >= 0.48
Requires: perl-DBI >= 1.40
Requires: perl-DBD-Oracle >= 1.16
Requires: perl-LDAP >= 0.31
Requires: tftp-server >= 0.39
Requires: perl-DateManip >= 5.42
Requires: perl-SQL-Abstract >= 1.22
Requires: oracle-instantclient-basic >= 10.2.0.3
Requires: httpd >= 2.0.52

Requires(pre): chkconfig
Requires(post): chkconfig

#until we rename modules correctly ...
Provides: perl(aims2server::conf), perl(aims2server::db), perl(aims2server::host), perl(aims2server::image), perl(aims2server::landb), perl(aims2server::ldap), perl(aims2server::pxe), perl(aims2server::server), perl(aims2server::soap)

%description -n aims2-server
Server-side software for AIMS2 remote installations service.


%package -n aims2-client
Summary: AIMS2 client of Automated Installation Management Server (v.2)
Group: System Environment/Base

Requires: perl >= 5.8.5
Requires: perl-SOAP-Lite >= 0.65
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-Net-DNS >= 0.48
Provides: aims2client
Obsoletes: aims2client

%description -n aims2-client
Client-side software for using the AIMS2 remote installations service.
See: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2
for more information.

%prep

%setup

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT


%files -n aims2-server
%defattr(-, root, root)
/usr/sbin/aims2sync
/usr/sbin/aims2config
/etc/init.d/aims2sync
%config(noreplace) /etc/aims2.conf
%config(noreplace) /etc/httpd/conf.d/aims2httpd.conf
/usr/lib/perl5/site_perl/aims2server/*.pm
/var/www/html/aims2server/*.cgi
%dir /var/log/aims2/
%dir /var/lock/subsys/aims2/

%files -n aims2-client
%defattr(-, root, root)
/usr/bin/aims2
/usr/bin/aims2client
/usr/share/man/man1/aims2client.1.gz
/usr/share/man/man1/aims2.1.gz




